LD10K1(8)

NAME
ld10k1 - emu10k1(emu10k2) patch loader daemon

SYNOPSIS

ld10k1 [option...]

DESCRIPTION

This manual page documents briefly the ld10k1 command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

ld10k1 is a program that...

OPTIONS

This program follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-h | --help
    Prints a short help message

-c num | --card num
    Use card num - ld10k1 will use device with name hw:num.

-d | --daemon
    Run ld10k1 in the background as a daemon.

-i file | --pidfile file
    Print daemon process id to file, default /var/run/ld10k1.pid

-l file | --logfile file
    Log to file.

-n | --network
    Use TCP/IP instead of named Unix sockets for communication.

-p name | --pipe_name name
    lo10k1 will use a local named pipe named name to communication with the linker. Default is /tmp/.ld10k1_port

--port portnum
    Listen on port. Port 20480 is default.

-t size | --tram_size size
    Initialize initial TRAM size to size. size Size is in samples and can be one of:

    0   external tram is disabled

    1   16 K = 16384 samples

    2   32 K = 32768 samples

    3   64 K = 65536 samples

    4   128 K = 131072 samples

    5   256 K = 262144 samples

    6   512 K = 524288 samples

    7   1024 K = 1048576 samples

    8   2048 K = 2097152 samples

SEE ALSO

lo10k1(1), dl10k1(8), as10k1(1).

AUTHOR

This manual page was written by Mikael Magnusson <mikma@users.sourceforge.net> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR
Mikael Magnusson.

      <mikma@users.sourceforge.net>